Bug 24861 - некорректный io scheduler
: некорректный io scheduler
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-std-def)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-01-05 16:11 by
Modified: 2011-03-26 20:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-01-05 16:11:59
На ядре std-def используется некорректный scheduler по-умолчанию:
[anton@rivendale ~]$ dmesg | grep sched
[    1.201885] io scheduler noop registered (default)
[    1.201902] io scheduler cfq registered
[anton@rivendale ~]$ uname -a
Linux rivendale 2.6.35-std-def-alt9 #1 SMP Thu Dec 9 08:52:44 UTC 2010
x86_64 GNU/Linux
[anton@rivendale ~]$ cat /sys/block/sda/queue/scheduler
[noop] cfq
------- Comment #1 From 2011-01-06 16:52:06 -------
Точнее, плохо подходящий в качестве дефолтного.
------- Comment #2 From 2011-03-26 12:57:40 -------
kernel-image-std-def-1:2.6.37-alt1 -> sisyphus:

* Fri Mar 18 2011 Anton Protopopov <aspsk@altlinux> 1:2.6.37-alt1
- Switch to 2.6.37.4
- Setup cfq as default io scheduler (ALT 24861)
- add files alt-fix, alt-feat to list merged fix-* and feat-* branches
  These are now:
  * fix-core--init
  * fix-drivers-usb--storage
  * fix-drivers-rtc
  * fix-core--mactel
  * fix-platform-macbookair
  * feat-fs-aufs
  * feat-drivers-wimax-u200
- aufs2.1

* Wed Dec 29 2010 Michail Yakushin <silicium@altlinux> 1:2.6.35-alt9.1
- update aufs2
------- Comment #3 From 2011-03-26 15:18:12 -------
Эээ... надо было мне сразу уточнить: по крайней мере на 2.6.18 cfq был полным
кошмаром, приходилось ставить deadline для работы.  Не знаю, как сейчас, но
хорошо бы посравнивать (в antique@ остановились, кажется, на anticipatory).

Но noop был вообще недоразумением, разве если в расчёте на SSD, виртуалки,
дорогие RAID или SAN. :)
------- Comment #4 From 2011-03-26 18:21:20 -------
(В ответ на комментарий №3)
> Эээ... надо было мне сразу уточнить: по крайней мере на 2.6.18 cfq был полным
> кошмаром, приходилось ставить deadline для работы.  Не знаю, как сейчас, но
> хорошо бы посравнивать (в antique@ остановились, кажется, на anticipatory).

anticipatory выбросили ещё в 2.6.33, остались noop, deadline и cfq. При этом
поддержка ioprio есть только в cfq.
------- Comment #5 From 2011-03-26 20:05:54 -------
Спасибо, буду знать.  Тогда порядок.